import re
import sys


found_lines = []

for line in sys.stdin:
    if re.search(r'\b19\d{2}\s*r\.\b|\b\W19\d{2}\s*r\.\b|\b19\d{2}\s*r\.\W', line, flags=re.IGNORECASE):
        found_lines.append(line.strip())


if found_lines:
    print('\n'.join(found_lines))

